﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_compare_string_object
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Two equal strings created at run time.
            string A = "ABCDEFGHIJ";
            string B = "ABCDEFGHIJ";
            bool a_eq_b = A == B;
            bool a_equals_b = A.Equals(B);
            txtAeqB.Text = a_eq_b.ToString();
            txtAequalsB.Text = a_equals_b.ToString();

            // Two equal strings created at
            // design time but stored as objects.
            object C = A;
            object D = B;
            bool c_eq_d = C == D;
            bool c_equals_d = C.Equals(D);
            txtCeqD.Text = c_eq_d.ToString();
            txtCequalsD.Text = c_equals_d.ToString();

            // Two equal strings created at run time.
            string E = A.Substring(2, 4);
            string F = A.Substring(2, 4);
            bool e_eq_f = E == F;
            bool e_equals_f = E.Equals(F);
            txtEeqF.Text = e_eq_f.ToString();
            txtEequalsF.Text = e_equals_f.ToString();

            // Two equal strings created at
            // run time but stored as objects.
            object G = E;
            object H = F;
            bool g_eq_h = G == H;
            bool g_equals_h = G.Equals(H);
            txtGeqH.Text = g_eq_h.ToString();
            txtGequalsH.Text = g_equals_h.ToString();

            txtAeqB.Select(0, 0);
        }
    }
}
